% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_disassociate_address}
\alias{ec2_disassociate_address}
\title{Disassociates an Elastic IP address from the instance or network
interface it's associated with}
\usage{
ec2_disassociate_address(AssociationId = NULL, PublicIp = NULL, DryRun = NULL)
}
\arguments{
\item{AssociationId}{[EC2-VPC] The association ID. Required for EC2-VPC.}

\item{PublicIp}{[EC2-Classic] The Elastic IP address. Required for EC2-Classic.}

\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}
}
\description{
Disassociates an Elastic IP address from the instance or network interface it's associated with.

See \url{https://paws-r.github.io/docs/ec2/disassociate_address.html} for full documentation.
}
\keyword{internal}
