% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_purchase_scheduled_instances}
\alias{ec2_purchase_scheduled_instances}
\title{Purchases the Scheduled Instances with the specified schedule}
\usage{
ec2_purchase_scheduled_instances(
  ClientToken = NULL,
  DryRun = NULL,
  PurchaseRequests
)
}
\arguments{
\item{ClientToken}{Unique, case-sensitive identifier that ensures the idempotency of the
request. For more information, see \href{https://docs.aws.amazon.com/AWSEC2/latest/APIReference/Run_Instance_Idempotency.html}{Ensuring Idempotency}.}

\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}

\item{PurchaseRequests}{[required] The purchase requests.}
}
\description{
Purchases the Scheduled Instances with the specified schedule.

See \url{https://paws-r.github.io/docs/ec2/purchase_scheduled_instances.html} for full documentation.
}
\keyword{internal}
