% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/emrserverless_operations.R
\name{emrserverless_create_application}
\alias{emrserverless_create_application}
\title{Creates an application}
\usage{
emrserverless_create_application(
  name = NULL,
  releaseLabel,
  type,
  clientToken,
  initialCapacity = NULL,
  maximumCapacity = NULL,
  tags = NULL,
  autoStartConfiguration = NULL,
  autoStopConfiguration = NULL,
  networkConfiguration = NULL
)
}
\arguments{
\item{name}{The name of the application.}

\item{releaseLabel}{[required] The EMR release version associated with the application.}

\item{type}{[required] The type of application you want to start, such as Spark or Hive.}

\item{clientToken}{[required] The client idempotency token of the application to create. Its value
must be unique for each request.}

\item{initialCapacity}{The capacity to initialize when the application is created.}

\item{maximumCapacity}{The maximum capacity to allocate when the application is created. This
is cumulative across all workers at any given point in time, not just
when an application is created. No new resources will be created once
any one of the defined limits is hit.}

\item{tags}{The tags assigned to the application.}

\item{autoStartConfiguration}{The configuration for an application to automatically start on job
submission.}

\item{autoStopConfiguration}{The configuration for an application to automatically stop after a
certain amount of time being idle.}

\item{networkConfiguration}{The network configuration for customer VPC connectivity.}
}
\description{
Creates an application.

See \url{https://paws-r.github.io/docs/emrserverless/create_application.html} for full documentation.
}
\keyword{internal}
