% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/imagebuilder_operations.R
\name{imagebuilder_list_components}
\alias{imagebuilder_list_components}
\title{Returns the list of component build versions for the specified semantic
version}
\usage{
imagebuilder_list_components(
  owner = NULL,
  filters = NULL,
  byName = NULL,
  maxResults = NULL,
  nextToken = NULL
)
}
\arguments{
\item{owner}{The owner defines which components you want to list. By default, this
request will only show components owned by your account. You can use
this field to specify if you want to view components owned by yourself,
by Amazon, or those components that have been shared with you by other
customers.}

\item{filters}{Use the following filters to streamline results:
\itemize{
\item \code{description}
\item \code{name}
\item \code{platform}
\item \code{supportedOsVersion}
\item \code{type}
\item \code{version}
}}

\item{byName}{Returns the list of component build versions for the specified name.}

\item{maxResults}{The maximum items to return in a request.}

\item{nextToken}{A token to specify where to start paginating. This is the NextToken from
a previously truncated response.}
}
\description{
Returns the list of component build versions for the specified semantic version.

See \url{https://paws-r.github.io/docs/imagebuilder/list_components.html} for full documentation.
}
\keyword{internal}
