% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lightsail_operations.R
\name{lightsail_get_bundles}
\alias{lightsail_get_bundles}
\title{Returns the bundles that you can apply to an Amazon Lightsail instance
when you create it}
\usage{
lightsail_get_bundles(includeInactive = NULL, pageToken = NULL)
}
\arguments{
\item{includeInactive}{A Boolean value that indicates whether to include inactive (unavailable)
bundles in the response of your request.}

\item{pageToken}{The token to advance to the next page of results from your request.

To get a page token, perform an initial
\code{\link[=lightsail_get_bundles]{get_bundles}} request. If your results are
paginated, the response will return a next page token that you can
specify as the page token in a subsequent request.}
}
\description{
Returns the bundles that you can apply to an Amazon Lightsail instance when you create it.

See \url{https://paws-r.github.io/docs/lightsail/get_bundles.html} for full documentation.
}
\keyword{internal}
